<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\UserLogRepository")
 * @ORM\Table(name="log_membre")
 */
class UserLog
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(name="date", type="datetime")
     */
    private $date;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="userLogs")
     * @ORM\JoinColumn(name="id_membre", nullable=null, onDelete="SET NULL")
     */
    private $user;

    /**
     * @ORM\Column(name="echec", type="boolean")
     */
    private $failure;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDate(): ?\DateTimeInterface
    {
        return $this->date;
    }

    public function setDate(\DateTimeInterface $date): self
    {
        $this->date = $date;

        return $this;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function setUser(?User $user): self
    {
        $this->user = $user;

        return $this;
    }

    public function getFailure(): ?bool
    {
        return $this->failure;
    }

    public function setFailure(bool $failure): self
    {
        $this->failure = $failure;

        return $this;
    }
}
